ome-common 5.3.2

Public Member Functions | List of all members
ome::common::xml::dom::NamedNodeMap Class Reference

DOM NamedNodeMap wrapper. More...

`#include <ome/common/xml/dom/NamedNodeMap.h>`

Inheritance diagram for ome::common::xml::dom::NamedNodeMap:
[legend]
Collaboration diagram for ome::common::xml::dom::NamedNodeMap:
[legend]

## Public Member Functions
| NamedNodeMap ()
| Construct a NULL NamedNodeMap.
| NamedNodeMap (const NamedNodeMap &nodelist)
| Copy construct a NamedNodeMap. More...
| NamedNodeMap (xercesc::DOMNamedNodeMap *nodelist)
| Construct a NamedNodeMap from a xercesc::DOMNamedNodeMap * (unmanaged). More...
| ~NamedNodeMap ()
| Destructor.
Node | getNamedItem (const std::string &name)
| Get an item by name. More...
Public Member Functions inherited from ome::common::xml::dom::Wrapper< xercesc::DOMNamedNodeMap, Base< xercesc::DOMNamedNodeMap > >
| Wrapper ()
| Constructor.
| Wrapper (const base_type &base)
| Copy construct a Wrapper. More...
| Wrapper (typename parent_type::base_element_type *base, Deleter del)
| Construct a Wrapper from a base_element_type * (managed). More...
| Wrapper (typename parent_type::base_element_type *base)
| Construct a Wrapper from a base_element_type * (unmanaged). More...
| ~Wrapper ()
| Destructor.
element_type * | get ()
| Get wrapped element_type *. More...
const element_type * | get () const
| Get wrapped element_type *. More...
Wrapper & | operator= (const Wrapper &wrapped)
| Assign a Wrapper. More...
element_type & | operator* () noexcept
| Dereference to element_type. More...
const element_type & | operator* () const noexcept
| Dereference to const element_type. More...
element_type * | operator-> () noexcept
| Dereference to element_type. More...
const element_type * | operator-> () const noexcept
| Dereference to const element_type. More...
Public Member Functions inherited from ome::common::xml::dom::Base< xercesc::DOMNamedNodeMap >
| Base ()
| Constructor.
| Base (base_element_type *wrapped, Deleter del)
| Construct with initial wrapped value (managed). More...
| Base (base_element_type *wrapped)
| Construct with initial wrapped value (unmanaged). More...
virtual | ~Base ()
| Destructor.
base_element_type * | get ()
| Get wrapped base_element_type *. More...
const base_element_type * | get () const
| Get wrapped base_element_type *. More...
| operator bool () const
| Check if the wrapped type is NULL. More...
void | reset ()
| Free the managed resource. More...

## Additional Inherited Members
Public Types inherited from ome::common::xml::dom::Wrapper< xercesc::DOMNamedNodeMap, Base< xercesc::DOMNamedNodeMap > >
typedef Base< xercesc::DOMNamedNodeMap > | parent_type
| Parent type.
typedef parent_type::base_type | base_type
| Base type.
typedef parent_type::base_element_type | base_element_type
| Base element type.
typedef xercesc::DOMNamedNodeMap | element_type
| Wrapped Xerces element type.
Public Types inherited from ome::common::xml::dom::Base< xercesc::DOMNamedNodeMap >
typedef Base | base_type
| Base type.
typedef xercesc::DOMNamedNodeMap | base_element_type
| Base element type (root type of the wrapped type).
Protected Member Functions inherited from ome::common::xml::dom::Wrapper< xercesc::DOMNamedNodeMap, Base< xercesc::DOMNamedNodeMap > >
virtual void | assign (const base_type &wrapped)
| Assign a new wrapped value. More...
virtual void | assign (ome::compat::shared_ptr< base_element_type > &wrapped)
| Assign a new wrapped value. More...
Protected Member Functions inherited from ome::common::xml::dom::Base< xercesc::DOMNamedNodeMap >
virtual void | null_check () const
| Check if the wrapped type is NULL. More...
D * | assign_check (base_element_type *newbase)
| Check that a new wrapped value is of the correct derived type. More...

## Detailed Description

DOM NamedNodeMap wrapper.

The wrapper behaves as though is the wrapped DOMNamedNodeMap; it can be dereferenced using the "*" or "->" operators to obtain a reference or pointer to the wrapped object. It can also be cast to a pointer to the wrapped object, so can substitute for it directly.

## Constructor & Destructor Documentation

## § NamedNodeMap() [1/2]

ome::common::xml::dom::NamedNodeMap::NamedNodeMap | ( | const NamedNodeMap & | nodelist | ) |
| inline

Copy construct a NamedNodeMap.

Parameters

  nodelist | the NamedNodeMap to copy.

## § NamedNodeMap() [2/2]

ome::common::xml::dom::NamedNodeMap::NamedNodeMap | ( | xercesc::DOMNamedNodeMap * | nodelist | ) |
| inline

Construct a NamedNodeMap from a xercesc::DOMNamedNodeMap * (unmanaged).

Parameters

  nodelist | the NamedNodeMap to wrap.

## Member Function Documentation

## § getNamedItem()

Node ome::common::xml::dom::NamedNodeMap::getNamedItem | ( | const std::string & | name | ) |

Get an item by name.

Parameters

  name | the name of the item

Returns
  the item, which will be null if not found.

Referenced by ~NamedNodeMap().

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- ome/common/xml/dom/NamedNodeMap.h
- ome/common/xml/dom/NamedNodeMap.cpp